%define	rname	auctex

Name:		emacs-auctex
Version:	12.3
Release:	%mkrel 1
Summary:	Enhanced LaTeX mode for GNU Emacs
License:	GPLv3+
Group:		Editors
URL:		http://www.gnu.org/software/auctex/
Source:		http://ftp.gnu.org/pub/gnu/auctex/auctex-%{version}.zip
BuildArch:	noarch
BuildRequires:	emacs-X11
BuildRequires:	texlive
BuildRequires:	texlive-texmf
Requires:	emacs
Requires:	tetex-latex

Provides:	%{rname} = %{version}-%{release}
Provides:	preview-latex-common
Provides:	preview-latex-emacs

%description
AUCTeX is a comprehensive customizable integrated environment for
writing input files for TeX, LaTeX, ConTeXt, Texinfo, and docTeX using
GNU Emacs.

%prep
%setup -q -n %{rname}-%{version}
%autopatch -p1

%build
%configure \
	--with-emacs \
	--with-texmf-dir=%{_datadir}/texmf-dist
%make_build

%install
%make_install autodir=/var/lib/auctex

# This is already in tetex-latex:
%__rm -rf %{buildroot}%{_datadir}/texmf-dist/tex/latex/preview
# What's this for?
%__rm -rf %{buildroot}/var/lib/auctex
# Don't install reference card:
%__rm -rf %{buildroot}%{_datadir}/doc/auctex

#perl -pi -e "s|%%{buildroot}||" %%{buildroot}/%%{_datadir}/emacs/site-lisp/tex-site.el
install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
echo "(if (string-match \"GNU Emacs\" (version)) (require 'tex-site))" >> %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{rname}.el

%files
%doc RELEASE COPYING README TODO FAQ CHANGES
%{_infodir}/*
%{_datadir}/emacs/site-lisp/%{rname}
%{_datadir}/emacs/site-lisp/auctex.el
%{_datadir}/emacs/site-lisp/preview-latex.el
%{_datadir}/emacs/site-lisp/tex-site.el
%{_datadir}/texmf-dist/doc/latex/styles/preview.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{rname}*


%changelog
* Wed Dec 09 2020 daviddavid <daviddavid> 12.3-1.mga8
+ Revision: 1654841
- new version: 12.3

* Mon Feb 17 2020 umeabot <umeabot> 12.2-2.mga8
+ Revision: 1537502
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 31 2019 daviddavid <daviddavid> 12.2-1.mga8
+ Revision: 1457085
- new version: 12.2
- remove merged upstream patch

* Thu Sep 20 2018 umeabot <umeabot> 12.1-3.mga7
+ Revision: 1278065
- Mageia 7 Mass Rebuild

* Mon Feb 26 2018 daviddavid <daviddavid> 12.1-2.mga7
+ Revision: 1205203
- add patch to fix FSF address in some files

* Sun Jan 07 2018 daviddavid <daviddavid> 12.1-1.mga7
+ Revision: 1191129
- new version: 12.1

* Tue Aug 15 2017 daviddavid <daviddavid> 11.91-1.mga7
+ Revision: 1140629
- new version: 11.91

* Wed Feb 15 2017 daviddavid <daviddavid> 11.90-1.mga6
+ Revision: 1086255
- new version: 11.90

* Mon Feb 08 2016 umeabot <umeabot> 11.87-8.mga6
+ Revision: 942949
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.87-7.mga5
+ Revision: 745574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 11.87-6.mga5
+ Revision: 678993
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 malo <malo> 11.87-5.mga4
+ Revision: 563709
- use texmf-dist directory
- fix build
+ dmorgan <dmorgan>
- FIx install

* Tue Oct 22 2013 umeabot <umeabot> 11.87-4.mga4
+ Revision: 545842
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 11.87-3.mga4
+ Revision: 501919
- update texlive BRs

* Fri Jan 11 2013 umeabot <umeabot> 11.87-2.mga3
+ Revision: 349618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 malo <malo> 11.87-1.mga3
+ Revision: 327401
- new version 11.87

* Fri Dec 16 2011 malo <malo> 11.86-4.mga2
+ Revision: 182543
- spec clean-up
+ lebedov <lebedov>
- imported package emacs-auctex

